如何修复WebStorm警告“未解决的功能或方法”为“require”(Firefox附加SDK)?

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (2)
  • 关注 (0)
  • 查看 (35)

我正在使用WebStorm 7进行Firefox附加SDK开发。

WebStorm显示警告:“未解析的函数或方法” require()

我想摆脱这个警告。

var pageMod = require("sdk/page-mod");

注意:我已经配置了JavaScript库(请参阅/ lib / sdk全局变量)。

环境:

  • WebStorm 7.0.2
  • Windows 7 64位
  • Firefox附加SDK 1.15beta1
提问于
用户回答回答于
用户回答回答于

你的意思'require()'是没有解决?你需要添加require.js到您的项目中,或者Node.js Globals设置/语言框架/ JavaScript /库中启用预定义的库

在WebStorm 2016.x-2017.x中:确保启用了Node.js CoreSettings (Preferences) | Languages & Frameworks | Node.js and NPM

所属标签

可能回答问题的人

  • 红双喜经典VS中华

    1 粉丝0 提问8 回答
  • 浮生长恨欢娱少

    个人站长 · 站长 (已认证)

    51 粉丝2 提问4 回答
  • 滑稽园扛把子

    Swoole Inc · PHP工程师 (已认证)

    135 粉丝0 提问4 回答
  • 13火麒麟

    0 粉丝0 提问4 回答

扫码关注云+社区